# Class MinAtom

java.lang.Object
org.jmol.minimize.MinAtom

public class MinAtom extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Atom`
`atom`
`BS`
`bs14`
`BS`
`bsVdw`
`double[]`
`coord`
`AtomType`
`ffAtomType`
`int`
`ffType`
`double[]`
`force`
`int`
`nBonds`
`double`
`partialCharge`
`String`
`sType`
`Integer`
`vdwKey`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBond(MinBond bond, int i)`
`int[]`
`getBondedAtomIndexes()`
`int`
`getBondIndex(int j)`
`MinBond`
`getBondTo(int iAtom)`
`int`
`getHCount()`
`String`
`getIdentity()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### atom

public Atom atom

### sType

public String sType

### coord

public double[] coord

### force

public double[] force

### nBonds

public int nBonds

### bsVdw

public BS bsVdw

### partialCharge

public double partialCharge

### ffAtomType

public AtomType ffAtomType

### ffType

public int ffType

### vdwKey

public Integer vdwKey

### bs14

public BS bs14

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getBondTo

public MinBond getBondTo(int iAtom)

### getBondedAtomIndexes

public int[] getBondedAtomIndexes()

### getIdentity

public String getIdentity()

### addBond

public void addBond(MinBond bond, int i)

### getBondIndex

public int getBondIndex(int j)

### getHCount

public int getHCount()